"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LeaveBuilder = exports.WelcomeBuilder = void 0;
const base_card_1 = require("./base-card");
class WelcomeBuilder extends base_card_1.BaseCardBuilder {
    constructor(params) {
        super({
            mainText: { content: 'WELCOME', ...params.mainText },
            avatarBorderColor: params.avatarBorderColor || '#0CA7FF',
            colorTextDefault: params.colorTextDefault || '#0CA7FF',
            backgroundColor: params.backgroundColor || { background: '#FFFFFF', waves: '#0CA7FF' },
            ...params,
        });
    }
}
exports.WelcomeBuilder = WelcomeBuilder;
class LeaveBuilder extends base_card_1.BaseCardBuilder {
    constructor(params) {
        super({
            mainText: { content: 'LEAVE', ...params.mainText },
            avatarBorderColor: params.avatarBorderColor || '#F44336',
            colorTextDefault: params.colorTextDefault || '#F44336',
            backgroundColor: params.backgroundColor || { background: '#FFFFFF', waves: '#F44336' },
            ...params,
        });
    }
}
exports.LeaveBuilder = LeaveBuilder;
