type RGB = `rgb(${number},${'' | ' '}${number},${'' | ' '}${number})`;
type RGBA = `rgba(${number},${'' | ' '}${number},${'' | ' '}${number},${'' | ' '}${number})`;
type HEX = `#${string}`;
export type Color = RGB | RGBA | HEX;
export type UserStatus = 'online' | 'idle' | 'dnd' | 'offline' | 'invisible' | 'streaming';
export interface TextCard {
    content: string;
    color?: Color;
    font?: string;
    size?: number;
    weight?: string;
}
export type BorderStyle = 'fill' | 'stroke';
export type BackgroundBaseColor = {
    background: Color;
    waves?: Color;
};
export type BackgroundRankColor = {
    background: Color;
    bubbles?: Color;
};
export {};
